
/*
 * +==========================================================
 * |	'version.h':
 * |	Game versions defines
 * |
 * |	LoneWolf (Wolf3D/Spear of Destiny engine) source code
 * |    by D.G.Gayev (dgaev@mail.ru), 2004-2005
 * +==========================================================
 *
 */

#ifndef __VERSION_H__
#define __VERSION_H__

enum GAME_TYPE {
	// Wolfenstein 3D
	GAME_WL1,		// Wolfenstein 3D shareware (1 episode)
	GAME_WL3,		// Wolfenstein 3D (3 episodes)
	GAME_WL6,		// Wolfenstein 3D full (6 episodes)

	// Spear Of Destiny
	GAME_SDM,		// Spear Of Destiny Demo (2 levels)
	GAME_SOD,		// Spear Of Destiny full version
	GAME_SD2,		// SOD Mission 2: Return to Danger
	GAME_SD3,		// SOD Mission 3: Ultimate Challenge
	};

extern enum GAME_TYPE is_game;

#define GAME_WOLF		(is_game >= GAME_WL1 && is_game <= GAME_WL6)

#define GAME_SPEAR	(! GAME_WOLF)

#endif
